Property details

Retrieve sanitized property records with media, amenities, and public ratings.

Endpoint

GET /v1/properties/{property_id}

Authentication

Bearer token required.

GET /v1/properties/prop_abc123
Authorization: Bearer fb_live_your_secret_key

Response

{
  "success": true,
  "data": {
    "property": {
      "id": "prop_abc123",
      "name": "Example Property",
      "description": "A comfortable stay in the city center.",
      "location": {
        "city": "Nairobi",
        "country": "Kenya"
      },
      "media": [],
      "amenities": [],
      "ratings": {
        "average": 4.5,
        "count": 120
      }
    }
  }
}

Error responses

  • 404 — Property not found.
  • 401 — Unauthorized.
  • 429 — Rate limited.